// ADSampleDlg.h : header file
//

#if !defined(AFX_ADSAMPLEDLG_H__6E5193B7_EB8B_45D0_9739_E3A074171EFD__INCLUDED_)
#define AFX_ADSAMPLEDLG_H__6E5193B7_EB8B_45D0_9739_E3A074171EFD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma pack(1)

struct TUSBAI1616Config
{
    byte ChannelRange[16];
    byte CalibMode;
    byte TrigMode;
    byte StartStopCH;
    byte Oversample;
};

#pragma pack()

/////////////////////////////////////////////////////////////////////////////
// CADSampleDlg dialog

class CADSampleDlg : public CDialog
{
public:
// Construction
	CADSampleDlg(CWnd* pParent = NULL);	// standard constructor

	unsigned long DeviceIndex;
	CProgressCtrl *VoltProgress[16];
	CStatic *VoltLabel[16];
	bool bGoing;
	unsigned long KnownBytesLeft;
	int NextSample, NextChannel;

	TUSBAI1616Config Config;

// Dialog Data
	//{{AFX_DATA(CADSampleDlg)
	enum { IDD = IDD_ADSAMPLE_DIALOG };
	CStatic	m_VoltLabelE;
	CStatic	m_VoltLabelD;
	CStatic	m_VoltLabelC;
	CStatic	m_VoltLabelB;
	CStatic	m_VoltLabelA;
	CStatic	m_VoltLabel9;
	CStatic	m_VoltLabel8;
	CStatic	m_VoltLabel7;
	CStatic	m_VoltLabel6;
	CStatic	m_VoltLabel5;
	CStatic	m_VoltLabel4;
	CStatic	m_VoltLabel3;
	CStatic	m_VoltLabel2;
	CStatic	m_VoltLabel1;
	CStatic	m_VoltLabel0;
	CStatic	m_VoltLabelF;
	CButton	m_goBTN;
	CComboBox	m_rangeBox;
	CProgressCtrl	m_progressF;
	CProgressCtrl	m_progressE;
	CProgressCtrl	m_progressD;
	CProgressCtrl	m_progressC;
	CProgressCtrl	m_progressB;
	CProgressCtrl	m_progressA;
	CProgressCtrl	m_progress9;
	CProgressCtrl	m_progress8;
	CProgressCtrl	m_progress7;
	CProgressCtrl	m_progress6;
	CProgressCtrl	m_progress5;
	CProgressCtrl	m_progress4;
	CProgressCtrl	m_progress3;
	CProgressCtrl	m_progress2;
	CProgressCtrl	m_progress1;
	CProgressCtrl	m_progress0;
	CString	m_calFName;
	BOOL	m_bDifferential;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CADSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CADSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeRangeCombo();
	afx_msg void OnGoButton();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDiffCheckClick();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADSAMPLEDLG_H__6E5193B7_EB8B_45D0_9739_E3A074171EFD__INCLUDED_)
